Subject: Re: AODV Simulation with Moderate to Large Traffic Load

From: Joe Macker <[email-masked]>
Date: Wed, 09 Jan 2002 15:06:11 -0500

Please move further discussion the ns2 users list.

I, for one, have performed a number of trails with different protocols using congested levels of  traffic loads, while it certainly slows things down (dependent also on the number of events you are trying to trace)....it worked for me as recently as release 2.1b8.. Again further discussion should be brought to the ns2 mailing list not here.

Thanks,
-Joe

At 10:53 PM 1/9/2002 +0800, Wang Qiang wrote:
>Dear ns users:
>
>I'm trying different levels of loading to a 50-node ad hoc network in
>1500mx300m area.  Since default ns2 wireless media link capacity is 2Mbps,
>the following loading levels results from calculation:
>
>1. Light loading:   20 CBR conneections sending 64-byte packets at 4 packet
>per sec
>   Loading factor = 20 x 64 x 8 x 4 / 2M = 0.03 erlang = 3%
>
>2. Moderate loading:  30 CBR connections sending 512-byte packets at 8
>packet per sec
>   Loading factor = 30 x 512 x 8 x 8 / 2M = 0.49 erlang = 49%
>
>3. Heavy loading:  30 CBR connections sending 1024-byte packets at 8 packet
>per sec
>   Loading factor = 30 x 1024 x 8 x 8 / 2M = 0.98 erlang = 98%
>
>However given moderate loading at above, NO single scenario has ever
>complete successful so far!  Not to mention the case of heavy loading.  The
>simulation ALWAYS core dump halfway with a "eval.c 41: no such file or
>directory" error.  This error did happen with even the light loading case,
>but much less frequently and could be bypassed by replacing a new scenario
>file. However this method apparently doesn't work with moderate loading and
>heavy loading!
>
>Has anyone experienced similar problem or tried to simluate large traffic
>before?
>All comments are welcome!
>
>Thank you.
>
>wangq